org.flexdock.perspective.persist.xml

## Class AbstractLayoutNodeSerializer

- java.lang.Object
- - org.flexdock.perspective.persist.xml.AbstractLayoutNodeSerializer

- All Implemented Interfaces:
    ISerializer
  Direct Known Subclasses:
    DockingPortNodeSerializer, SplitNodeSerializer

      public abstract class AbstractLayoutNodeSerializer
      extends Object
      implements ISerializer

  Created on 2005-06-27
  Version:
    $Id: AbstractLayoutNodeSerializer.java,v 1.7 2005-07-06 18:10:49 winnetou25 Exp $
  Author:
    Mateusz Szczap

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLayoutNodeSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract LayoutNode` | `createLayoutNode()`
    `Object` | `deserialize(Element element)`
    `protected abstract Element` | `getElement(Document document, Object o)`
    `Element` | `serialize(Document document, Object object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractLayoutNodeSerializer

          public AbstractLayoutNodeSerializer()

  - ### Method Detail

    - #### serialize

          public Element serialize(Document document,
                          Object object)

      Specified by:
        `serialize` in interface `ISerializer`

    - #### getElement

          protected abstract Element getElement(Document document,
                           Object o)

    - #### deserialize

          public Object deserialize(Element element)

      Specified by:
        `deserialize` in interface `ISerializer`

    - #### createLayoutNode

          protected abstract LayoutNode createLayoutNode()